org.modeshape.jcr.index.local

## Class IndexChangeAdapters.NodeLocalNameChangeAdapter

- java.lang.Object
- - org.modeshape.jcr.cache.change.ChangeSetAdapter
  - - org.modeshape.jcr.spi.index.provider.IndexChangeAdapter
    - - org.modeshape.jcr.index.local.IndexChangeAdapters.PathBasedChangeAdapter<String>
      - - org.modeshape.jcr.index.local.IndexChangeAdapters.NodeLocalNameChangeAdapter

- All Implemented Interfaces:
    ChangeSetListener
  Enclosing class:
    IndexChangeAdapters

      protected static final class IndexChangeAdapters.NodeLocalNameChangeAdapter
      extends IndexChangeAdapters.PathBasedChangeAdapter<String>

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.modeshape.jcr.cache.change.ChangeSetAdapter

      `ChangeSetAdapter.NodeTypePredicate`

  - ### Field Summary

    - ### Fields inherited from class org.modeshape.jcr.cache.change.ChangeSetAdapter

      `context, predicate`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexChangeAdapters.NodeLocalNameChangeAdapter(ExecutionContext context, ChangeSetAdapter.NodeTypePredicate matcher, String workspaceName, org.modeshape.jcr.index.local.LocalDuplicateIndex<String> index)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected String` | `convert(Path path)`
    `protected String` | `convertRoot(Path path)`

    - ### Methods inherited from class org.modeshape.jcr.index.local.IndexChangeAdapters.PathBasedChangeAdapter

      `addNode, completeChanges, completeWorkspaceChanges, moveNode, reindexNode, removeNode, toString`

    - ### Methods inherited from class org.modeshape.jcr.spi.index.provider.IndexChangeAdapter

      `includesWorkspace, index`

    - ### Methods inherited from class org.modeshape.jcr.cache.change.ChangeSetAdapter

      `addWorkspace, beginChanges, beginWorkspaceChanges, binaryValueUnused, changeNode, modifyProperties, notify, removeWorkspace, renameNode, reorderNode, repositoryMetadataChanged, sequenced, sequenceFailure`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexChangeAdapters.NodeLocalNameChangeAdapter

          public IndexChangeAdapters.NodeLocalNameChangeAdapter(ExecutionContext context,
                                                        ChangeSetAdapter.NodeTypePredicate matcher,
                                                        String workspaceName,
                                                        org.modeshape.jcr.index.local.LocalDuplicateIndex<String> index)

  - ### Method Detail

    - #### convert

          protected String convert(Path path)

      Specified by:
        `convert` in class `IndexChangeAdapters.PathBasedChangeAdapter<String>`

    - #### convertRoot

          protected String convertRoot(Path path)

      Specified by:
        `convertRoot` in class `IndexChangeAdapters.PathBasedChangeAdapter<String>`

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.